semanage-module(8)

NAME
semanage-module - SELinux Policy Management module mapping tool

SYNOPSIS
semanage module [-h] [-n] [-N] [-S STORE] (-a | -r | -e | -d | --extract | --list [-C] | --deleteall) [module_name]

DESCRIPTION
semanage is used to configure certain elements of SELinux policy without requiring modification to or recompilation from policy sources. semanage module installs, removes, disables SELinux Policy modules.

OPTIONS

-h, --help
    show this help message and exit

-n, --noheading
    Do not print heading when listing the specified object type

-N, --noreload
    Do not reload policy after commit

-S STORE, --store STORE
    Select an alternate SELinux Policy Store to manage

-a, --add
    Install specified module

-r, --remove
    Remove specified module

-d --disable
    Disable specified module

-e --enable
    Enable specified module

-E, --extract
    Extract customizable commands, for use within a transaction

-l, --list
    List records of the specified object type

-C, --locallist
    List local customizations

EXAMPLE
List all modules
# semanage module -l
Disable unconfined module
# semanage module --disable unconfined
Install custom apache policy module
# semanage module -a myapache

SEE ALSO
selinux(8), semanage(8), semodule(8)

AUTHOR
This man page was written by Daniel Walsh <dwalsh@redhat.com>